### Constructor

# Gtk TreeStore new

deprecated: 4.10

#### Declaration [src]

    GtkTreeStore*
    gtk_tree_store_new (
      int n_columns,
      ...
    )

#### Description [src]

Creates a new tree store.

The tree store will have `n_columns`, with each column using the corresponding type passed to this function.

Note that only types derived from standard GObject fundamental types are supported.

As an example:

    gtk_tree_store_new (3, G_TYPE_INT, G_TYPE_STRING, GDK_TYPE_TEXTURE);

will create a new `GtkTreeStore` with three columns of type `int`, `gchararray`, and `GdkTexture` respectively.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

This constructor is not directly available to language bindings.

The implementation of this constructor is provided by `()` in language bindings.

#### Parameters

`n_columns`

  Type: `int`

  Number of columns in the tree store.

`...`

  Type: ``

  All `GType` types for the columns, from first to last.

#### Return value

Type: `GtkTreeStore`

A new `GtkTreeStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.